#!/usr/bin/env node

/*
 * @Author: kael 
 * @Date: 2020-08-05 11:04:09 
 * @Last Modified by: kael
 * @Last Modified time: 2021-11-29 15:14:17
 */

global.MARKET = {};
global.config = require('rc')('stock');
const { program } = require('commander');
const pkg = require('./package.json');
const cmd = require('./cmd');
const mkt = `sh,sz,hk,us`;

const split = v => v.toLowerCase().split(',');

program
  .version(pkg.version)
  .option('-m, --market <items>', `Stock market (default ${mkt})`, split, split(mkt));

program.parse(process.argv);
global.config.args = program.opts();

// https://stackoverflow.com/questions/62499125/how-to-clear-terminal-and-scroll-back-in-nodejs
console.reset = function () {
  process.stdout.write('\u001b[3J\u001b[1J');
  console.clear();
};

cmd.ma();
